<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a47c8833-686c-4635-a41f-b85cb4fe0462" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client1/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client1/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client1/src/main/java/com/example/demo/controller/TestController.java" beforeDir="false" afterPath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client1/src/main/java/com/example/demo/controller/TestController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client2/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client2/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client2/src/main/java/com/example/demo/controller/TestController.java" beforeDir="false" afterPath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client2/src/main/java/com/example/demo/controller/TestController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client2/src/main/resources/bootstrap.yml" beforeDir="false" afterPath="$PROJECT_DIR$/../SmartCommunity/SmartCommunityV1/eureka-client2/src/main/resources/bootstrap.yml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/config-client/target/" />
    <ignored path="$PROJECT_DIR$/config-server/target/" />
    <ignored path="$PROJECT_DIR$/eureka-client1/target/" />
    <ignored path="$PROJECT_DIR$/eureka-sever/target/" />
    <ignored path="$PROJECT_DIR$/eureka-client2/target/" />
    <ignored path="$PROJECT_DIR$/ribbon-consumer/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-1636201268">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="7" />
          <entry key="project.open.time.0" value="2" />
          <entry key="project.open.time.1" value="2" />
          <entry key="project.open.time.2" value="2" />
          <entry key="project.open.time.26" value="1" />
          <entry key="project.opened" value="7" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="iml" value="2" />
          <entry key="java" value="10" />
          <entry key="properties" value="7" />
          <entry key="xml" value="12" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="IDEA_MODULE" value="2" />
          <entry key="JAVA" value="10" />
          <entry key="Properties" value="7" />
          <entry key="XML" value="12" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="90" />
          <entry key="properties" value="16" />
          <entry key="xml" value="39" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="90" />
          <entry key="Properties" value="16" />
          <entry key="XML" value="39" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/eureka-client1/src/main/java/com/example/demo/controller/TestController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="144">
              <caret line="12" column="15" selection-start-line="12" selection-start-column="15" selection-end-line="12" selection-end-column="15" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/eureka-client2/src/main/java/com/example/demo/controller/TestController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="144">
              <caret line="12" column="15" selection-start-line="12" selection-start-column="15" selection-end-line="12" selection-end-column="15" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/eureka-client2/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="10" selection-start-column="10" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config-client/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="529">
              <caret line="45" column="21" lean-forward="true" selection-start-line="36" selection-start-column="8" selection-end-line="45" selection-end-column="21" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/config-client/src/main/java/com/example/demo/controller/TestController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="324">
              <caret line="27" column="56" lean-forward="true" selection-start-line="27" selection-start-column="4" selection-end-line="27" selection-end-column="56" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config-client/src/main/java/com/example/demo/Swagger.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="19" column="13" selection-start-line="19" selection-start-column="13" selection-end-line="19" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config-client/src/main/resources/application.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config-client/src/main/resources/bootstrap.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/eureka-sever/eureka-sever.iml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1908">
              <caret line="106" column="100" selection-start-line="106" selection-start-column="100" selection-end-line="106" selection-end-column="100" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/eureka-client2/eureka-client2.iml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1260">
              <caret line="70" column="69" selection-start-line="70" selection-start-column="63" selection-end-line="70" selection-end-column="69" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>eureka</find>
      <find>eureka-server</find>
      <find>eureka-client</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/ribbon-consumer/pom.xml" />
        <option value="$PROJECT_DIR$/ribbon-consumer/src/main/java/com/example/demo/DemoApplication.java" />
        <option value="$PROJECT_DIR$/eureka-client2/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/ribbon-consumer/src/main/java/com/example/demo/controller/TestController.java" />
        <option value="$PROJECT_DIR$/ribbon-consumer/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/eureka-client2/src/main/java/com/example/demo/controller/TestController.java" />
        <option value="$PROJECT_DIR$/eureka-client1/src/main/java/com/example/demo/controller/TestController.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="E:/apache-maven-3.5.4" />
        <option name="userSettingsFile" value="E:\apache-maven-3.5.4\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand />
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-10" />
    <option name="width" value="1700" />
    <option name="height" value="1070" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="config-client" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="config-client" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="config-client" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="config-client" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="config-client" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="config-client" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="config-client" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client2" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="spring-cloud" type="b2602c69:ProjectViewProjectNode" />
              <item name="SpringCloudProject" type="462c0819:PsiDirectoryNode" />
              <item name="eureka-client2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1536660067639" />
    <property name="go.gopath.indexing.explicitly.defined" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\gitcode\SpringProject\SpringCloudProject" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.eureka-client2">
    <configuration name="DemoApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="config-client" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.example.demo.DemoApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="eureka-client1" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true">
      <module name="eureka-client1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.example.demo.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.example.demo.DemoApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="eureka-client2" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true">
      <module name="eureka-client2" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.example.demo.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.example.demo.DemoApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="eureka-server" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true">
      <module name="eureka-sever" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.example.demo.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.example.demo.DemoApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ribbon-consumer" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true">
      <module name="ribbon-consumer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.example.demo.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.example.demo.DemoApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Spring Boot.DemoApplication" />
      <item itemvalue="Spring Boot.eureka-server" />
      <item itemvalue="Spring Boot.eureka-client2" />
      <item itemvalue="Spring Boot.eureka-client1" />
      <item itemvalue="Spring Boot.ribbon-consumer" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Spring Boot.eureka-client1" />
        <item itemvalue="Spring Boot.ribbon-consumer" />
        <item itemvalue="Spring Boot.eureka-client2" />
        <item itemvalue="Spring Boot.eureka-server" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a47c8833-686c-4635-a41f-b85cb4fe0462" name="Default Changelist" comment="" />
      <created>1536649111874</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1536649111874</updated>
      <workItem from="1536649113006" duration="87000" />
      <workItem from="1536649207665" duration="6925000" />
      <workItem from="1536714149906" duration="3391000" />
      <workItem from="1536805051414" duration="6077000" />
      <workItem from="1537237678590" duration="1963000" />
      <workItem from="1538027950276" duration="27000" />
      <workItem from="1538029305016" duration="357000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="18827000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="2062" height="1126" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.14321357" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3997986" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32930514" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" weight="0.3221675" />
      <window_info anchor="bottom" id="Java Enterprise" order="10" />
      <window_info anchor="bottom" id="Database Changes" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="12" />
      <window_info anchor="bottom" id="Messages" order="13" weight="0.32930514" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" weight="0.32984033" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/eureka-sever/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-client1/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-276" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config-server/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-345" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config-server/src/main/java/com/example/demo/DemoApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="12" column="5" selection-start-line="12" selection-start-column="5" selection-end-line="12" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ribbon-consumer/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="38" column="64" selection-start-line="38" selection-start-column="64" selection-end-line="38" selection-end-column="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ribbon-consumer/src/main/java/com/example/demo/DemoApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="14" column="17" selection-start-line="14" selection-start-column="17" selection-end-line="14" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-client1/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-client2/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="23">
          <caret line="1" column="36" selection-start-line="1" selection-start-column="24" selection-end-line="1" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ribbon-consumer/src/main/java/com/example/demo/controller/TestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="20" column="92" selection-start-line="20" selection-start-column="92" selection-end-line="20" selection-end-column="92" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ribbon-consumer/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="23">
          <caret line="1" column="39" selection-start-line="1" selection-start-column="39" selection-end-line="1" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="486">
          <caret line="27" column="13" selection-start-line="27" selection-start-column="13" selection-end-line="27" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-client1/src/main/java/com/example/demo/controller/TestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="12" column="15" selection-start-line="12" selection-start-column="15" selection-end-line="12" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-client2/src/main/java/com/example/demo/controller/TestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="12" column="15" selection-start-line="12" selection-start-column="15" selection-end-line="12" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-sever/eureka-sever.iml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1908">
          <caret line="106" column="100" selection-start-line="106" selection-start-column="100" selection-end-line="106" selection-end-column="100" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-client2/eureka-client2.iml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1260">
          <caret line="70" column="69" selection-start-line="70" selection-start-column="63" selection-end-line="70" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/eureka-client2/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="10" selection-start-column="10" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config-client/src/main/java/com/example/demo/Swagger.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="19" column="13" selection-start-line="19" selection-start-column="13" selection-end-line="19" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config-client/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/config-client/src/main/resources/bootstrap.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/config-client/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="529">
          <caret line="45" column="21" lean-forward="true" selection-start-line="36" selection-start-column="8" selection-end-line="45" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config-client/src/main/java/com/example/demo/controller/TestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="324">
          <caret line="27" column="56" lean-forward="true" selection-start-line="27" selection-start-column="4" selection-end-line="27" selection-end-column="56" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Spring</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>config-client</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: ch.qos.logback:logback-classic:1.2.3</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>